Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
regulatory-actions
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/agents/{agentId}/regulatory-actions
{
  "data": [
    {
      "niprDataSubscriptionId": "<string>",
      "npn": "<string>",
      "stateCode": "AL",
      "actionId": "<string>",
      "penaltyFineForfeitureInUSD": 0,
      "lengthOfOrderInDays": 0,
      "_id": "<string>",
      "originOfAction": "<string>",
      "reasonForAction": "<string>",
      "disposition": "<string>",
      "dateOfAction": "2023-11-07T05:31:56Z",
      "effectiveDate": "2023-11-07T05:31:56Z",
      "enterDate": "2023-11-07T05:31:56Z",
      "fileRef": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Returns all regulatory actions recorded for a specific agent.

Path Parameters

agentId
string
required

The unique identifier of the agent

Response

List of agent regulatory actions

data
object[]
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"